org.keycloak.events

## Interface Details

-     public interface Details

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION`
    `static String` | `AUDIENCE`
    `static String` | `AUTH_METHOD`
    `static String` | `AUTH_TYPE`
    `static String` | `CLIENT_AUTH_METHOD`
    `static String` | `CLIENT_REGISTRATION_POLICY`
    `static String` | `CODE_ID`
    `static String` | `CONSENT`
    `static String` | `CONSENT_VALUE_CONSENT_GRANTED`
    `static String` | `CONSENT_VALUE_NO_CONSENT_REQUIRED`
    `static String` | `CONSENT_VALUE_PERSISTED_CONSENT`
    `static String` | `CREDENTIAL_TYPE`
    `static String` | `CUSTOM_REQUIRED_ACTION`
    `static String` | `EMAIL`
    `static String` | `EXISTING_USER`
    `static String` | `GRANT_TYPE`
    `static String` | `IDENTITY_PROVIDER`
    `static String` | `IDENTITY_PROVIDER_USERNAME`
    `static String` | `IMPERSONATOR`
    `static String` | `IMPERSONATOR_REALM`
    `static String` | `NODE_HOST`
    `static String` | `PREVIOUS_EMAIL`
    `static String` | `REASON`
    `static String` | `REDIRECT_URI`
    `static String` | `REFRESH_TOKEN_ID`
    `static String` | `REFRESH_TOKEN_TYPE`
    `static String` | `REGISTER_METHOD`
    `static String` | `REMEMBER_ME`
    `static String` | `REQUESTED_ISSUER`
    `static String` | `REQUESTED_SUBJECT`
    `static String` | `RESPONSE_MODE`
    `static String` | `RESPONSE_TYPE`
    `static String` | `RESTART_AFTER_TIMEOUT`
    `static String` | `REVOKED_CLIENT`
    `static String` | `SCOPE`
    `static String` | `SELECTED_CREDENTIAL_ID`
    `static String` | `SIGNATURE_ALGORITHM`
    `static String` | `SIGNATURE_REQUIRED`
    `static String` | `TOKEN_ID`
    `static String` | `UPDATED_EMAIL`
    `static String` | `UPDATED_REFRESH_TOKEN_ID`
    `static String` | `USERNAME`
    `static String` | `VALIDATE_ACCESS_TOKEN`
    `static String` | `X509_CERTIFICATE_ISSUER_DISTINGUISHED_NAME`
    `static String` | `X509_CERTIFICATE_SERIAL_NUMBER`
    `static String` | `X509_CERTIFICATE_SUBJECT_DISTINGUISHED_NAME`

- - ### Field Detail

    - #### CUSTOM_REQUIRED_ACTION

          static final String CUSTOM_REQUIRED_ACTION

      See Also:
        Constant Field Values

    - #### EMAIL

          static final String EMAIL

      See Also:
        Constant Field Values

    - #### PREVIOUS_EMAIL

          static final String PREVIOUS_EMAIL

      See Also:
        Constant Field Values

    - #### UPDATED_EMAIL

          static final String UPDATED_EMAIL

      See Also:
        Constant Field Values

    - #### ACTION

          static final String ACTION

      See Also:
        Constant Field Values

    - #### CODE_ID

          static final String CODE_ID

      See Also:
        Constant Field Values

    - #### REDIRECT_URI

          static final String REDIRECT_URI

      See Also:
        Constant Field Values

    - #### RESPONSE_TYPE

          static final String RESPONSE_TYPE

      See Also:
        Constant Field Values

    - #### RESPONSE_MODE

          static final String RESPONSE_MODE

      See Also:
        Constant Field Values

    - #### GRANT_TYPE

          static final String GRANT_TYPE

      See Also:
        Constant Field Values

    - #### AUTH_TYPE

          static final String AUTH_TYPE

      See Also:
        Constant Field Values

    - #### AUTH_METHOD

          static final String AUTH_METHOD

      See Also:
        Constant Field Values

    - #### IDENTITY_PROVIDER

          static final String IDENTITY_PROVIDER

      See Also:
        Constant Field Values

    - #### IDENTITY_PROVIDER_USERNAME

          static final String IDENTITY_PROVIDER_USERNAME

      See Also:
        Constant Field Values

    - #### REGISTER_METHOD

          static final String REGISTER_METHOD

      See Also:
        Constant Field Values

    - #### USERNAME

          static final String USERNAME

      See Also:
        Constant Field Values

    - #### REMEMBER_ME

          static final String REMEMBER_ME

      See Also:
        Constant Field Values

    - #### TOKEN_ID

          static final String TOKEN_ID

      See Also:
        Constant Field Values

    - #### REFRESH_TOKEN_ID

          static final String REFRESH_TOKEN_ID

      See Also:
        Constant Field Values

    - #### REFRESH_TOKEN_TYPE

          static final String REFRESH_TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### VALIDATE_ACCESS_TOKEN

          static final String VALIDATE_ACCESS_TOKEN

      See Also:
        Constant Field Values

    - #### UPDATED_REFRESH_TOKEN_ID

          static final String UPDATED_REFRESH_TOKEN_ID

      See Also:
        Constant Field Values

    - #### NODE_HOST

          static final String NODE_HOST

      See Also:
        Constant Field Values

    - #### REASON

          static final String REASON

      See Also:
        Constant Field Values

    - #### REVOKED_CLIENT

          static final String REVOKED_CLIENT

      See Also:
        Constant Field Values

    - #### AUDIENCE

          static final String AUDIENCE

      See Also:
        Constant Field Values

    - #### SCOPE

          static final String SCOPE

      See Also:
        Constant Field Values

    - #### REQUESTED_ISSUER

          static final String REQUESTED_ISSUER

      See Also:
        Constant Field Values

    - #### REQUESTED_SUBJECT

          static final String REQUESTED_SUBJECT

      See Also:
        Constant Field Values

    - #### RESTART_AFTER_TIMEOUT

          static final String RESTART_AFTER_TIMEOUT

      See Also:
        Constant Field Values

    - #### CONSENT

          static final String CONSENT

      See Also:
        Constant Field Values

    - #### CONSENT_VALUE_NO_CONSENT_REQUIRED

          static final String CONSENT_VALUE_NO_CONSENT_REQUIRED

      See Also:
        Constant Field Values

    - #### CONSENT_VALUE_CONSENT_GRANTED

          static final String CONSENT_VALUE_CONSENT_GRANTED

      See Also:
        Constant Field Values

    - #### CONSENT_VALUE_PERSISTED_CONSENT

          static final String CONSENT_VALUE_PERSISTED_CONSENT

      See Also:
        Constant Field Values

    - #### IMPERSONATOR_REALM

          static final String IMPERSONATOR_REALM

      See Also:
        Constant Field Values

    - #### IMPERSONATOR

          static final String IMPERSONATOR

      See Also:
        Constant Field Values

    - #### CLIENT_AUTH_METHOD

          static final String CLIENT_AUTH_METHOD

      See Also:
        Constant Field Values

    - #### SIGNATURE_REQUIRED

          static final String SIGNATURE_REQUIRED

      See Also:
        Constant Field Values

    - #### SIGNATURE_ALGORITHM

          static final String SIGNATURE_ALGORITHM

      See Also:
        Constant Field Values

    - #### CLIENT_REGISTRATION_POLICY

          static final String CLIENT_REGISTRATION_POLICY

      See Also:
        Constant Field Values

    - #### EXISTING_USER

          static final String EXISTING_USER

      See Also:
        Constant Field Values

    - #### X509_CERTIFICATE_SERIAL_NUMBER

          static final String X509_CERTIFICATE_SERIAL_NUMBER

      See Also:
        Constant Field Values

    - #### X509_CERTIFICATE_SUBJECT_DISTINGUISHED_NAME

          static final String X509_CERTIFICATE_SUBJECT_DISTINGUISHED_NAME

      See Also:
        Constant Field Values

    - #### X509_CERTIFICATE_ISSUER_DISTINGUISHED_NAME

          static final String X509_CERTIFICATE_ISSUER_DISTINGUISHED_NAME

      See Also:
        Constant Field Values

    - #### CREDENTIAL_TYPE

          static final String CREDENTIAL_TYPE

      See Also:
        Constant Field Values

    - #### SELECTED_CREDENTIAL_ID

          static final String SELECTED_CREDENTIAL_ID

      See Also:
        Constant Field Values

Copyright © 2021 JBoss by Red Hat. All rights reserved.